import { Inject } from '@nuxt/types/app';
import { Context } from '@idalite-frontend/nuxt-types';
import { NuxtDevice } from '~/types';

import createNuxtDeviceInstance from './instance';

const getDevicePlugin = (ctx: Context, inject: Inject): void => {
    const DeviceInstance: NuxtDevice = createNuxtDeviceInstance(ctx, ctx.$config.nuxtDevice);

    inject('device', DeviceInstance);
};

export default getDevicePlugin;
